0

I have installed openmpi on ubuntu 18.04.2 LTS using

$sudo apt-get install libopenmpi-dev

$ mpirun -version
mpirun (Open MPI) 2.1.1

How can I downgrade it to v2.0.2

Thank you!

1

Removing new packages packages first

sudo apt remove libopenmpi2 openmpi-common libopenmpi-dev openmpi-bin

Add debian repository

(I found this versions here)

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 8B48AD6246925553

sudo apt-add-repository 'deb http://ftp.us.debian.org/debian stretch main contrib non-free'

check available versions (optional)

apt list -a openmpi-bin

install old versions

sudo apt install openmpi-bin=2.0.2-2 openmpi-common=2.0.2-2 libopenmpi-dev=2.0.2-2 libopenmpi2=2.0.2-2

Test

mpirun -version
3
  • It worked! Thanks! :) – Geo_Python May 17 '19 at 7:18
  • Thanks also @Jim for good edit. – TadejP May 17 '19 at 8:19
  • Your welcome, it's our duty as community member to tidy things up. – Liso May 17 '19 at 8:35

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.